/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif

	
#define REGISTER_SETTING_OUTPUT 0
#define REGISTER_SETTING_INPUT	1

/*	open a GPIO handle for later uses
	Inputs:
		none
	Returns:
		pointer to a GPIO handle. Return 0 on failure.
*/
UINT32 mxgpio_open(void);

/*	close a GPIO handle
	Inputs:
		<fd> the handle
	Returns:
		none
*/
void mxgpio_close(UINT32 smbus_base_addr);

int mxgpio_set_mode(UINT32 smbus_base_address, UINT8 slave_address, UINT8 mode_option);

int mxgpio_get_mode(UINT32 smbus_base_address, UINT8 slave_address, UINT8 slot_number, UINT8* register_data);

int mxgpio_get_slot_power(UINT32 smbus_base_address, UINT8 slave_address, int slot_number, int *power_option);

int mxgpio_set_slot_power(UINT32 smbus_base_address, UINT8 slave_address, int slot_number, int power_option);

int mxgpio_get_slot_reset(UINT32 smbus_base_address, UINT8 slave_address, int slot_number, int *reset_status);

int mxgpio_set_slot_reset(UINT32 smbus_base_address, UINT8 slave_address, int slot_number, int reset_option);

int mxgpio_get_slot_disable(UINT32 smbus_base_address, UINT8 slave_address, int slot_number, int *disable_status);

int mxgpio_set_slot_disable(UINT32 smbus_base_address, UINT8 slave_address, int slot_number, int disable_option);



#ifdef __cplusplus    // If used by C++ code, 
}
#endif